Subject: Re: Serial Console Login Fails

From: Martin Hicks <[email-masked]>
Date: Wed, 23 Apr 2003 08:30:15 -0400

On Wed, Apr 23, 2003 at 07:41:40AM +0530, Aman wrote:
>
> Hi All
>
> I am using IBM PPC 440 processor on custom board , which has no network
> support. I am using Monta Vista Linux with ramdisk enabled. In the ramdisk ,
> I have very less files. Since there is no network on the board , I am trying
> to enable the serial console login. To achieve this, I disabled serial
> console logging by saying "console=NULL " in the cmdline and in the
> /etc/inittab file added this line

If the kernel is compiled with CONFIG_SERIAL_CONSOLE then you can
do  "console=ttyS0", which will give you a 9600bps 8n1 serial console to
see the kernel boot messages.

> "T0:23:respawn:/sbin/getty -L ttyS0 9600 vt100"
> Bcos of which during the linux bootup , there wont be console message on the
> screen , after some time , there is a login prompt
> <none>login:
> If I try login then it waits for some seconds and then display the same i.e
> <none>login:

You don't have "ttyS0" in /etc/securetty

mh

--
Martin Hicks  ||  [email-masked]  || PGP/GnuPG: 0x4C7F2BEE
plato up 5 days, 21:20, 12 users,  load average: 0.49, 0.50, 0.46
Beer: So much more than just a breakfast drink.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/